@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@500&family=Ubuntu+Mono&display=swap');

body {
    background-color: #1e1e2e;
    color: #cdd6f4;
    font-family: 'Quicksand', 'Ubuntu Mono', monospace;
    font-weight: 500;
    line-height: 1.7;
    margin: 0;
    padding: 20px;
}
.container {
    max-width: 1900px;
    margin: 10px auto;
    background: #313244;
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.3);
}

h1 { font-size: 4rem; }
h2 { font-size: 3.2rem; color: #89b4fa; margin-top: 1.5em; }
h3 { font-size: 2.5rem; color: #89b4fa; margin-top: 1.5em; }
h1, h2 { text-align: center }

#head {
    color: #f5c2e7;
    text-algin: center;
    border-bottom: 2px solid #313244;
    padding-bottom: 20px;
}

a[href="#insertion"], a[href="#deletion"], .nav {
    color: #E3DFFF;
    text-decoration: none;
    font-weight: 800;
}

a:hover {
    background-color: #181825;
    padding: 6px 2px;
    border-radius: 10px;
}


img { margin: 0 auto; height: auto; border-radius: 15px; }
.center-img {
    width: 85%;
    height: 85%;
}
